Saltar al contenido principal
POST
/
api
/
v1
/
cards-program
/
cards
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "userId": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "type": "virtual"
}'
{
  "success": true,
  "cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
  "status": "active",
  "type": "virtual",
  "last4": "4242"
}

Cuerpo

userId
string
requerido
El ID de usuario del titular de la tarjeta (debe ser un usuario aprobado)
type
string
requerido
Tipo de tarjeta: physical o virtual
shippingAddress
object
Requerido para tarjetas físicas: datos de la dirección de envío
bulkShippingGroupId
string
ID de grupo opcional para envíos en lote

Respuesta

success
boolean
Indica si la operación fue exitosa
cardId
string
El identificador único de la tarjeta
status
string
Estado de la tarjeta: notActivated, active, locked o canceled
type
string
Tipo de tarjeta: physical o virtual
last4
string
Últimos 4 dígitos del número de tarjeta
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "userId": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "type": "virtual"
}'
{
  "success": true,
  "cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
  "status": "active",
  "type": "virtual",
  "last4": "4242"
}

Ejemplo de tarjeta física

curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "userId": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "type": "physical",
    "shippingAddress": {
        "line1": "123 Main St",
        "line2": "Apt 4B",
        "city": "New York",
        "region": "NY",
        "postalCode": "10001",
        "countryCode": "US",
        "country": "United States",
        "recipientFirstName": "John",
        "recipientLastName": "Doe",
        "recipientPhoneCountryCode": "1",
        "recipientPhoneNumber": "5551234567"
    }
}'

Respuestas de error

{
  "success": false,
  "error": "Unauthorized. Please check your authentication credentials."
}